package com.ruoyi.system.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.StringUtils;
import com.ruoyi.system.domain.BasicLibrary;
import com.ruoyi.system.domain.UserInfo;
import com.ruoyi.system.mapper.UserInfoMapper;
import com.ruoyi.system.service.UserInfoService;
import org.springframework.stereotype.Service;

/**
 * 用户信息Service业务层处理
 * 
 * @author liming
 * @date 2023-08-01
 */
@Service
public class UserInfoServiceImpl extends ServiceImpl<UserInfoMapper, UserInfo> implements UserInfoService {

    @Override
    public IPage<UserInfo> getUserInfoList(Page<UserInfo> page, String param) {
        return this.baseMapper.getUserInfoList(page,param);
    }

    @Override
    public IPage<UserInfo> getUserInfoListNew(Page<UserInfo> page, String param) {
         LambdaQueryWrapper<UserInfo> queryWrapper =  new LambdaQueryWrapper<UserInfo>();
         queryWrapper.like(StringUtils.isNotEmpty(param),UserInfo::getUserPhone,param);
         queryWrapper.eq(UserInfo::getDelFlag,0);
        queryWrapper.orderByDesc(UserInfo::getCreateTime);
        return this.baseMapper.selectPage(page,queryWrapper);
    }
}
